<?php
/**
 * Created by PhpStorm.
 * User: niko
 * Date: 29.01.15
 * Time: 10:14
 */

function payqr_config($form, &$form_state)
{
    global $base_url;
  $form['button_base'] = array(
    '#type' => 'fieldset',
    '#title' => t('Button base options'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['button_base']['payqr_hook_handler_url'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR hook handler url'),
    '#default_value' => $base_url . '/payqr/reciver',
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
    '#attributes' => array('readonly' => 'readonly'),
  );
  $form['button_base']['payqr_log_url'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR log url'),
    '#default_value' => $base_url . '/payqr/showlog?key=' . variable_get('payqr_log_key'),
    '#size' => 80,
    '#maxlength' => 250,
    '#required' => TRUE,
    '#attributes' => array('readonly' => 'readonly'),
  );
  $form['button_base']['payqr_log_path'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR log path'),
    '#default_value' => variable_get('payqr_log_path', '/sites/all/modules/payqr/payqr/log'),
    '#size' => 80,
    '#maxlength' => 250,
    '#required' => TRUE,
  );
  $form['button_base']['payqr_log_key'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR log key'),
    '#default_value' => variable_get('payqr_log_key', md5(uniqid())),
    '#size' => 50,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['button_base']['payqr_merchant_id'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR merchant ID'),
    '#default_value' => variable_get('payqr_merchant_id', ''),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['button_base']['payqr_secret_key_in'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR secret key in'),
    '#default_value' => variable_get('payqr_secret_key_in', ''),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['button_base']['payqr_secret_key_out'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR secret key out'),
    '#default_value' => variable_get('payqr_secret_key_out', ''),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );


  $form['button_visibility'] = array(
    '#type' => 'fieldset',
    '#title' => t('Button visibility'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $visibility = array(
      array(
        "type"=>"cart",
        "name"=>"payqr_button_show_on_cart",
        "desc"=> t("Show PayQR button on Cart page"),
        "value"=>1,
        ),
      array(
        "type"=>"product",
        "name"=>"payqr_button_show_on_product",
        "desc"=> t("Show PayQR button on Product page"),
        "value"=>0,
        ),
      array(
        "type"=>"category",
        "name"=>"payqr_button_show_on_category",
        "desc"=> t("Show PayQR button on Category page"),
        "value"=>0,
        ),
  );
  foreach($visibility as $item)
  {
    $form['button_visibility'][$item["name"]] = array(
      '#type' => 'select',
      '#title' => t($item["desc"]),
      '#options' => array(
        '1' => t('Yes'),
        '0' => t('No'),
      ),
      '#default_value' => variable_get($item["name"]),
      '#required' => TRUE,
    );

    $form['button_visibility']['button_style' . $item["type"]] = array(
    '#type' => 'fieldset',
    '#title' => t('Button style'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_color' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button color'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_green' => t('Green'),
      'payqr-button_blue' => t('Blue'),
      'payqr-button_orange' => t('Orange'),
      'payqr-button_red' => t('Red'),
    ),
    '#default_value' => variable_get('payqr_button_color' . $item["type"], 'default'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_form' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button form'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_sharp' => t('Sharp'),
      'payqr-button_rude' => t('Rude'),
      'payqr-button_soft' => t('Soft'),
      'payqr-button_sleek' => t('Sleek'),
      'payqr-button_oval' => t('Oval'),
    ),
    '#default_value' => variable_get('payqr_button_form' . $item["type"], 'default'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_shadow' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button shadow'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_shadow' => t('shadow'),
      'payqr-button_noshadow' => t('noshadow'),
    ),
    '#default_value' => variable_get('payqr_button_shadow' . $item["type"], 'default'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_gradient' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button gradient'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_flat' => t('Flat'),
      'payqr-button_gradient' => t('Gradient'),
    ),
    '#default_value' => variable_get('payqr_button_gradient', 'default'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_text_size' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button text font trans'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_text-small' => t('text-small'),
      'payqr-button_text-medium' => t('text-medium'),
      'payqr-button_text-large' => t('text-large'),
    ),
    '#default_value' => variable_get('payqr_button_text_size' . $item["type"], 'default'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_text_width' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button text font width'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_text-normal' => t('text-normal'),
      'payqr-button_text-bold' => t('text-bold'),
    ),
    '#default_value' => variable_get('payqr_button_text_width' . $item["type"], 'default'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_text_case' . $item["type"]] = array(
    '#type' => 'select',
    '#title' => t('Button text case'),
    '#options' => array(
      'default' => t('Default'),
      'payqr-button_text-lowercase' => t('text-lowercase'),
      'payqr-button_text-standartcase' => t('text-standartcase'),
      'payqr-button_text-uppercase' => t('text-uppercase'),
    ),
    '#default_value' => variable_get('payqr_button_text_case' . $item["type"], 'payqr-button_standardcase'),
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_height' . $item["type"]] = array(
    '#type' => 'textfield',
    '#title' => t('Button height'),
    '#description' => t('Set button height or auto for auto height'),
    '#default_value' => variable_get('payqr_button_height' . $item["type"], 'auto'),
    '#size' => 60,
    '#maxlength' => 128,
  );
  $form['button_visibility']['button_style' . $item["type"]]['payqr_button_width' . $item["type"]] = array(
    '#type' => 'textfield',
    '#title' => t('Button width'),
    '#description' => t('Set button width or auto for auto width'),
    '#default_value' => variable_get('payqr_button_width' . $item["type"], 'auto'),
    '#size' => 60,
    '#maxlength' => 128,
  );
  }

  $form['order_status'] = array(
    '#type' => 'fieldset',
    '#title' => t('Order Statuses'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['order_status']['payqr_order_status_created'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR order status creatted'),
    '#default_value' => variable_get('payqr_order_status_created', 'processing'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['order_status']['payqr_order_status_paid'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR order status paid'),
    '#default_value' => variable_get('payqr_order_status_paid', 'payment_received'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['order_status']['payqr_order_status_canceled'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR order status canceled'),
    '#default_value' => variable_get('payqr_order_status_canceled', 'canceled'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );
  $form['order_status']['payqr_order_status_completed'] = array(
    '#type' => 'textfield',
    '#title' => t('PayQR order status completed'),
    '#default_value' => variable_get('payqr_order_status_completed', 'completed'),
    '#size' => 60,
    '#maxlength' => 128,
    '#required' => TRUE,
  );


    $form['required_fields'] = array(
      '#type' => 'fieldset',
      '#title' => t('Required fields'),
      '#collapsible' => TRUE,
      '#collapsed' => TRUE,
    );
    $form['required_fields']['payqr_data-firstname-required'] = array(
        '#type' => 'select',
        '#title' => t('Require user firstname'),
        '#options' => array(
          'deny' => t('Deny'),
          'required' => t('Required'),
        ),
        '#default_value' => variable_get('payqr_data-firstname-required', 'deny'),
        '#required' => TRUE,
    );
    $form['required_fields']['payqr_data-lastname-required'] = array(
        '#type' => 'select',
        '#title' => t('Require user lastname'),
        '#options' => array(
          'deny' => t('Deny'),
          'required' => t('Required'),
        ),
        '#default_value' => variable_get('payqr_data-lastname-required', 'deny'),
        '#required' => TRUE,
    );
    $form['required_fields']['payqr_data-middlename-required'] = array(
        '#type' => 'select',
        '#title' => t('Require user middlename'),
        '#options' => array(
          'deny' => t('Deny'),
          'required' => t('Required'),
        ),
        '#default_value' => variable_get('payqr_data-middlename-required', 'deny'),
        '#required' => TRUE,
    );
    $form['required_fields']['payqr_data-phone-required'] = array(
        '#type' => 'select',
        '#title' => t('Require user phone'),
        '#options' => array(
          'deny' => t('Deny'),
          'required' => t('Required'),
        ),
        '#default_value' => variable_get('payqr_data-email-required', 'required'),
        '#required' => TRUE,
    );
    $form['required_fields']['payqr_data-email-required'] = array(
        '#type' => 'select',
        '#title' => t('Require user email'),
        '#options' => array(
          'deny' => t('Deny'),
          'required' => t('Required'),
        ),
        '#default_value' => variable_get('payqr_data-email-required', 'deny'),
        '#required' => TRUE,
    );
    $form['required_fields']['payqr_data-delivery-required'] = array(
        '#type' => 'select',
        '#title' => t('Require user delivery'),
        '#options' => array(
          'deny' => t('Deny'),
          'required' => t('Required'),
          'notrequired' => t('Required after'),
        ),
        '#default_value' => variable_get('payqr_data-delivery-required', 'deny'),
        '#required' => TRUE,
    );
    if(module_exists("uc_flatrate") || module_exists("uc_weightquote") || module_exists("uc_global_quote"))
    {
        $form['required_fields']['payqr_data-deliverycases-required'] = array(
            '#type' => 'select',
            '#title' => t('Require user deliverycases'),
            '#options' => array(
              'deny' => t('Deny'),
              'required' => t('Required'),
            ),
            '#default_value' => variable_get('payqr_data-deliverycases-required', 'deny'),
            '#required' => TRUE,
        );
        $form['required_fields']['payqr_data-pickpoints-required'] = array(
            '#type' => 'select',
            '#title' => t('Require user pickpoints'),
            '#options' => array(
              'deny' => t('Deny'),
              'required' => t('Required'),
            ),
            '#default_value' => variable_get('payqr_data-pickpoints-required', 'deny'),
            '#required' => TRUE,
        );
    }
    if(module_exists("uc_coupon"))
    {
        $form['required_fields']['payqr_data-promo-required'] = array(
            '#type' => 'select',
            '#title' => t('Require user promo'),
            '#options' => array(
              'deny' => t('Deny'),
              'notrequired' => t('Not required'),
            ),
            '#default_value' => variable_get('payqr_data-promo-required', 'deny'),
            '#required' => TRUE,
        );
        $form['required_fields']['payqr_data-promo-description'] = array(
            '#type' => 'textfield',
            '#title' => t('User promo description'),
            '#default_value' => variable_get('payqr_data-promo-description'),
            '#size' => 60,
            '#maxlength' => 128,
        );
    }
    $form['required_fields']['payqr_data-message-text'] = array(
        '#type' => 'textfield',
        '#title' => t('User message text'),
        '#default_value' => variable_get('payqr_data-message-text'),
        '#size' => 80,
        '#maxlength' => 250,
    );
    $form['required_fields']['payqr_data-message-imageurl'] = array(
        '#type' => 'textfield',
        '#title' => t('User message imageurl'),
        '#default_value' => variable_get('payqr_data-message-imageurl'),
        '#size' => 80,
        '#maxlength' => 250,
    );
    $form['required_fields']['payqr_data-message-url'] = array(
        '#type' => 'textfield',
        '#title' => t('User message url'),
        '#default_value' => variable_get('payqr_data-message-url'),
        '#size' => 80,
        '#maxlength' => 250,
    );

  return system_settings_form($form);
}
